curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/dcl/po-receipts' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"startDate": "string",
"endDate": "string"
}'
{
"status": 1,
"poReceipts": [
{}
],
"body": {}
}
Fetch PO receipts from DCL
DCL PO receipts
POST
/
v1
/
tenants
/
{tenant_id}
/
dcl
/
po-receipts
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/dcl/po-receipts' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"startDate": "string",
"endDate": "string"
}'
{
"status": 1,
"poReceipts": [
{}
],
"body": {}
}
Path parameters
string
required
Tenant identifier
Request body
object
string
Start date filter (YYYY-MM-DD)
string
End date filter (YYYY-MM-DD)
Response
object
integer
required
HTTP status code from DCL
object[]
required
List of PO receipts
object
required
Raw response body
Status codes
| Code | Meaning |
|---|---|
200 | DCL PO receipts |
401 | Unauthorized |
424 | DCL integration not configured |
502 | DCL API error |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/dcl/po-receipts' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"startDate": "string",
"endDate": "string"
}'
{
"status": 1,
"poReceipts": [
{}
],
"body": {}
}
Last modified on August 31, 2026